Open CASCADE Technology: Extrema_GlobOptFuncCS Class Reference

Open CASCADE Technology 6.9.1

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
Extrema_GlobOptFuncCS Class Reference

This class implements function which calculate square Eucluidean distance between point on curve and point on surface in case of continuity is C2. More...

`#include <Extrema_GlobOptFuncCS.hxx>`

Inheritance diagram for Extrema_GlobOptFuncCS:
[legend]

## Public Member Functions
| Extrema_GlobOptFuncCS (const Adaptor3d_Curve *C, const Adaptor3d_Surface *S)
| Curve and surface should exist during all the lifetime of Extrema_GlobOptFuncCS. More...
virtual Standard_Integer | NbVariables () const
| returns the number of variables of the function. More...
virtual Standard_Boolean | Value (const math_Vector &theX, Standard_Real &theF)
| computes the values of the Functions <F> for the variable <X>. Returns True if the computation was done successfully, False otherwise. More...
virtual Standard_Boolean | Gradient (const math_Vector &theX, math_Vector &theG)
| computes the gradient <G> of the functions for the variable <X>. Returns True if the computation was done successfully, False otherwise. More...
virtual Standard_Boolean | Values (const math_Vector &theX, Standard_Real &theF, math_Vector &theG)
| computes the value <F> and the gradient <G> of the functions for the variable <X>. Returns True if the computation was done successfully, False otherwise. More...
virtual Standard_Boolean | Values (const math_Vector &theX, Standard_Real &theF, math_Vector &theG, math_Matrix &theH)
| computes the value <F>, the gradient <G> and the hessian <H> of the functions for the variable <X>. Returns True if the computation was done successfully, False otherwise. More...
Public Member Functions inherited from math_MultipleVarFunction
virtual Standard_Integer | GetStateNumber ()
| return the state of the function corresponding to the latestt call of any methods associated to the function. This function is called by each of the algorithms described later which define the function Integer Algorithm::StateNumber(). The algorithm has the responsibility to call this function when it has found a solution (i.e. a root or a minimum) and has to maintain the association between the solution found and this StateNumber. Byu default, this method returns 0 (which means for the algorithm: no state has been saved). It is the responsibility of the programmer to decide if he needs to save the current state of the function and to return an Integer that allows retrieval of the state. More...
virtual | ~math_MultipleVarFunction ()

## Detailed Description

This class implements function which calculate square Eucluidean distance between point on curve and point on surface in case of continuity is C2.

## Constructor & Destructor Documentation

Extrema_GlobOptFuncCS::Extrema_GlobOptFuncCS | ( | const Adaptor3d_Curve * | C,
|  | const Adaptor3d_Surface * | S
| ) |  |

Curve and surface should exist during all the lifetime of Extrema_GlobOptFuncCS.

## Member Function Documentation

virtual Standard_Boolean Extrema_GlobOptFuncCS::Gradient | ( | const math_Vector & | X,
|  | math_Vector & | G
| ) |  |
| virtual

computes the gradient <G> of the functions for the variable <X>. Returns True if the computation was done successfully, False otherwise.

Implements math_MultipleVarFunctionWithHessian.

virtual Standard_Integer Extrema_GlobOptFuncCS::NbVariables | ( |  | ) | const
| virtual

returns the number of variables of the function.

Implements math_MultipleVarFunctionWithHessian.

virtual Standard_Boolean Extrema_GlobOptFuncCS::Value | ( | const math_Vector & | X,
|  | Standard_Real & | F
| ) |  |
| virtual

computes the values of the Functions <F> for the variable <X>. Returns True if the computation was done successfully, False otherwise.

Implements math_MultipleVarFunctionWithHessian.

virtual Standard_Boolean Extrema_GlobOptFuncCS::Values | ( | const math_Vector & | X,
|  | Standard_Real & | F,
|  | math_Vector & | G
| ) |  |
| virtual

computes the value <F> and the gradient <G> of the functions for the variable <X>. Returns True if the computation was done successfully, False otherwise.

Implements math_MultipleVarFunctionWithHessian.

virtual Standard_Boolean Extrema_GlobOptFuncCS::Values | ( | const math_Vector & | X,
|  | Standard_Real & | F,
|  | math_Vector & | G,
|  | math_Matrix & | H
| ) |  |
| virtual

computes the value <F>, the gradient <G> and the hessian <H> of the functions for the variable <X>. Returns True if the computation was done successfully, False otherwise.

Implements math_MultipleVarFunctionWithHessian.

The documentation for this class was generated from the following file:

- Extrema_GlobOptFuncCS.hxx